--- title: "GetNotificationInterval" slug: "security-webshellbehaviordetector-notification-getnotificationinterval" tags: ["Webshell Behavior Detector"] updated: 2026-09-17T10:15:45Z published: 2026-09-17T10:15:45Z canonical: "api.ncloud-docs.com/security-webshellbehaviordetector-notification-getnotificationinterval" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetNotificationInterval Available in VPC Get the set notification delivery interval. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/alarm/interval | ### Request headers For information about the headers common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector request headers](/docs/en/security-webshellbehaviordetector#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The following is a sample request. ``` curl --location --request GET 'https://wbd.apigw.ntruss.com/api/v1/alarm/interval' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'X-NCP-USE_PLATFORM_TYPE: VPC' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | Request handling status | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Array | - | Notification settings history: [result](/docs/en/security-webshellbehaviordetector-notification-getnotificationinterval#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Request ID | | `memberNo` | String | - | Member ID for VM usage | | `interval` | Integer | - | Notification delivery interval (millisecond) | | `lastSendNotificationTime` | Integer | - | Last notification delivery date and time - Timestamp format | | `createTime` | Integer | - | Initial notification configuration date and time - Timestamp format | | `lastUpdatedTime` | Integer | - | Last notification change date and time - Timestamp format | | `platform` | String | - | VM environment - `VPC` \| `CLASSIC` | | `isDeleted` | Boolean | - | Deletion status of the settings - `true` \| `false` - `true`: deleted - `false`: not deleted | ### Response status codes For information about the HTTP status codes common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector response status codes](/docs/en/security-webshellbehaviordetector#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "success": true, "code": 0, "message": "success", "result": { "id": "2024071710442000000002", "memberNo": "26***90", "interval": 600000, "lastSendNotificationTime": 1721780249113, "createTime": 1721180660397, "lastUpdatedTime": 1721780249113, "platform": "VPC", "isDeleted": false } } ```